# steamcmd-app-update

Outputs one `app_update <app-id> [-validate]` line per game in your Steam library.

A useful tool if you intend to automate the fetching of your entire
steam library :)

# Usage

Configuration
```sh
## .env

# Steam API key.
export STEAM_API_KEY=

# The profile ID to fetch the list of owned games of.
export STEAM_PROFILE_ID=

# Comma separated list of games to skip
export SKIP_GAMES='Dota 2 Test, Metro Exodus, 1240440'

# Whether to force game file validation by adding -validate
# Any value = true, unset/empty = false
export FORCE_VALIDATE=
```

Execution

```sh
source .env && node ./index.js
# Or integrate this into your library updating docker container!
```
